# To get started with security, check out the documentation:
# http://symfony.com/doc/current/security.html
security:
    encoders:
        FOS\UserBundle\Model\UserInterface: bcrypt

    role_hierarchy:
        ROLE_ADMIN:       ROLE_USER
        ROLE_SUPER_ADMIN: ROLE_ADMIN

    providers:
        fos_userbundle:
            id: fos_user.user_provider.username

    firewalls:
        main:
            pattern: ^/
            form_login:
                provider: fos_userbundle
                csrf_token_generator: security.csrf.token_manager
                   # if you are using Symfony < 2.8, use the following config instead:
                   # csrf_provider: form.csrf_provider
#                default_target_path: /profile #указываем на страницу которую хотим перейти после авторизации по умолчанию

            logout:       true
            anonymous:    true

    access_control:
        - { path: ^/login$, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/register, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/resetting, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/admin.*, role: ROLE_ADMIN }

        - { path: /profile, role: ROLE_USER }

        - { path: /generate-article, role: ROLE_USER }
#        - { path: /login/*, role: IS_AUTHENTICATED_ANONYMOUSLY }
#        - { path: /login_check/*, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: /home, role: ROLE_USER }           #  добавил
